## atop 1.14

=== Makefile ===
# Makefile for System & Process Monitor ATOP (Linux version)
#
# Gerlof Langeveld - AT Computing - Nijmegen, The Netherlands
# (gerlof@ATComputing.nl)
#
DESTDIR =

BINPATH = /usr/bin
SCRPATH = /etc/atop
LOGPATH = /var/log/atop
MANPATH = /usr/share/man/man1
INIPATH = /etc/rc.d/init.d

CFLAGS  = -O -I. -Wall
LDFLAGS = -lncurses -lm -lz
OBJMOD0 = version.o
OBJMOD1 = various.o  deviate.o   procdbase.o
OBJMOD2 = acctproc.o photoproc.o photosyst.o  rawlog.o
OBJMOD3 = showgeneric.o          showlinux.o
ALLMODS = $(OBJMOD0) $(OBJMOD1) $(OBJMOD2) $(OBJMOD3)

all: 		atop

atop:		atop.o    $(ALLMODS) Makefile
		cc atop.o $(ALLMODS) -o atop $(LDFLAGS)

clean:
		rm -f *.o

install:	atop
		if [ ! -d $(DESTDIR)$(LOGPATH) ]; then mkdir -p $(DESTDIR)$(LOGPATH); fi
		if [ ! -d $(DESTDIR)$(BINPATH) ]; then mkdir -p $(DESTDIR)$(BINPATH); fi
		if [ ! -d $(DESTDIR)$(SCRPATH) ]; then mkdir -p $(DESTDIR)$(SCRPATH); fi
		if [ ! -d $(DESTDIR)$(MANPATH) ]; then mkdir -p $(DESTDIR)$(MANPATH); fi
		if [ ! -d $(DESTDIR)$(INIPATH) ]; then mkdir -p $(DESTDIR)$(INIPATH); fi
		cp atop   	 $(DESTDIR)$(BINPATH)/atop
		chown root	 $(DESTDIR)$(BINPATH)/atop
		chmod 04711 	 $(DESTDIR)$(BINPATH)/atop
		cp atop.daily    $(DESTDIR)$(SCRPATH)
		chmod 0711 	 $(DESTDIR)$(SCRPATH)/atop.daily
		cp atop.24hours  $(DESTDIR)$(SCRPATH)
		chmod 0711 	 $(DESTDIR)$(SCRPATH)/atop.24hours
		cp man/atop.1    $(DESTDIR)$(MANPATH)
		cp atop.init     $(DESTDIR)$(INIPATH)/atop
		if [ -z "$(DESTDIR)" ]; then /sbin/chkconfig --add atop; fi


distr:
		rm -f *.o
		tar czvf /tmp/atop.tar.gz *
##########################################################################

atop.o:		atop.h	photoproc.h photosyst.h  acctproc.h
rawlog.o:	atop.h	photoproc.h photosyst.h
various.o:	atop.h                           acctproc.h
deviate.o:	atop.h	photoproc.h photosyst.h
procdbase.o:	atop.h	photoproc.h
acctproc.o:	atop.h	photoproc.h              acctproc.h
photoproc.o:	atop.h	photoproc.h
photosyst.o:	atop.h	            photosyst.h
showgeneric.o:	atop.h	photoproc.h photosyst.h  showgeneric.h
showlinux.o:	atop.h	photoproc.h photosyst.h  showgeneric.h

## atop 1.16

=== Makefile ===
--- 
+++ 
@@ -50,7 +50,7 @@
 		tar czvf /tmp/atop.tar.gz *
 ##########################################################################
 
-atop.o:		atop.h	photoproc.h photosyst.h  acctproc.h
+atop.o:		atop.h	photoproc.h photosyst.h  acctproc.h showgeneric.h
 rawlog.o:	atop.h	photoproc.h photosyst.h
 various.o:	atop.h                           acctproc.h
 deviate.o:	atop.h	photoproc.h photosyst.h

## atop 1.20

=== Makefile ===
--- 
+++ 
@@ -10,12 +10,14 @@
 LOGPATH = /var/log/atop
 MANPATH = /usr/share/man/man1
 INIPATH = /etc/rc.d/init.d
+CRNPATH = /etc/cron.d
+ROTPATH = /etc/logrotate.d
 
 CFLAGS  = -O -I. -Wall
 LDFLAGS = -lncurses -lm -lz
 OBJMOD0 = version.o
 OBJMOD1 = various.o  deviate.o   procdbase.o
-OBJMOD2 = acctproc.o photoproc.o photosyst.o  rawlog.o
+OBJMOD2 = acctproc.o photoproc.o photosyst.o  rawlog.o ifprop.o parseable.o
 OBJMOD3 = showgeneric.o          showlinux.o
 ALLMODS = $(OBJMOD0) $(OBJMOD1) $(OBJMOD2) $(OBJMOD3)
 
@@ -33,17 +35,21 @@
 		if [ ! -d $(DESTDIR)$(SCRPATH) ]; then mkdir -p $(DESTDIR)$(SCRPATH); fi
 		if [ ! -d $(DESTDIR)$(MANPATH) ]; then mkdir -p $(DESTDIR)$(MANPATH); fi
 		if [ ! -d $(DESTDIR)$(INIPATH) ]; then mkdir -p $(DESTDIR)$(INIPATH); fi
+		if [ ! -d $(DESTDIR)$(CRNPATH) ]; then mkdir -p $(DESTDIR)$(CRNPATH); fi
+		if [ ! -d $(DESTDIR)$(ROTPATH) ]; then mkdir -p $(DESTDIR)$(ROTPATH); fi
 		cp atop   	 $(DESTDIR)$(BINPATH)/atop
 		chown root	 $(DESTDIR)$(BINPATH)/atop
 		chmod 04711 	 $(DESTDIR)$(BINPATH)/atop
 		cp atop.daily    $(DESTDIR)$(SCRPATH)
 		chmod 0711 	 $(DESTDIR)$(SCRPATH)/atop.daily
-		cp atop.24hours  $(DESTDIR)$(SCRPATH)
-		chmod 0711 	 $(DESTDIR)$(SCRPATH)/atop.24hours
 		cp man/atop.1    $(DESTDIR)$(MANPATH)
 		cp atop.init     $(DESTDIR)$(INIPATH)/atop
+		cp atop.cron     $(DESTDIR)$(CRNPATH)/atop
+		cp psaccs_atop   $(DESTDIR)$(ROTPATH)/psaccs_atop
+		cp psaccu_atop   $(DESTDIR)$(ROTPATH)/psaccu_atop
+		touch            $(DESTDIR)$(LOGPATH)/dummy_before
+		touch            $(DESTDIR)$(LOGPATH)/dummy_after
 		if [ -z "$(DESTDIR)" ]; then /sbin/chkconfig --add atop; fi
-
 
 distr:
 		rm -f *.o
@@ -53,6 +59,8 @@
 atop.o:		atop.h	photoproc.h photosyst.h  acctproc.h showgeneric.h
 rawlog.o:	atop.h	photoproc.h photosyst.h
 various.o:	atop.h                           acctproc.h
+ifprop.o:	atop.h	            photosyst.h             ifprop.h
+parseable.o:	atop.h	photoproc.h photosyst.h             parseable.h
 deviate.o:	atop.h	photoproc.h photosyst.h
 procdbase.o:	atop.h	photoproc.h
 acctproc.o:	atop.h	photoproc.h              acctproc.h

## atop 1.22

=== Makefile ===
--- 
+++ 
@@ -19,7 +19,8 @@
 OBJMOD1 = various.o  deviate.o   procdbase.o
 OBJMOD2 = acctproc.o photoproc.o photosyst.o  rawlog.o ifprop.o parseable.o
 OBJMOD3 = showgeneric.o          showlinux.o
-ALLMODS = $(OBJMOD0) $(OBJMOD1) $(OBJMOD2) $(OBJMOD3)
+OBJMOD4 = atopsar.o
+ALLMODS = $(OBJMOD0) $(OBJMOD1) $(OBJMOD2) $(OBJMOD3) $(OBJMOD4)
 
 all: 		atop
 
@@ -27,7 +28,7 @@
 		cc atop.o $(ALLMODS) -o atop $(LDFLAGS)
 
 clean:
-		rm -f *.o
+		rm -f *.o atop
 
 install:	atop
 		if [ ! -d $(DESTDIR)$(LOGPATH) ]; then mkdir -p $(DESTDIR)$(LOGPATH); fi
@@ -40,9 +41,12 @@
 		cp atop   	 $(DESTDIR)$(BINPATH)/atop
 		chown root	 $(DESTDIR)$(BINPATH)/atop
 		chmod 04711 	 $(DESTDIR)$(BINPATH)/atop
+		-rm              $(DESTDIR)$(BINPATH)/atopsar
+		ln -s atop       $(DESTDIR)$(BINPATH)/atopsar
 		cp atop.daily    $(DESTDIR)$(SCRPATH)
 		chmod 0711 	 $(DESTDIR)$(SCRPATH)/atop.daily
 		cp man/atop.1    $(DESTDIR)$(MANPATH)
+		cp man/atopsar.1 $(DESTDIR)$(MANPATH)
 		cp atop.init     $(DESTDIR)$(INIPATH)/atop
 		cp atop.cron     $(DESTDIR)$(CRNPATH)/atop
 		cp psaccs_atop   $(DESTDIR)$(ROTPATH)/psaccs_atop
@@ -57,6 +61,7 @@
 ##########################################################################
 
 atop.o:		atop.h	photoproc.h photosyst.h  acctproc.h showgeneric.h
+atopsar.o:	atop.h	            photosyst.h                           
 rawlog.o:	atop.h	photoproc.h photosyst.h
 various.o:	atop.h                           acctproc.h
 ifprop.o:	atop.h	            photosyst.h             ifprop.h

=== debian/changelog ===
atop (1.22) unstable; urgency=low

  * new upstream release

 -- Edelhard Becker <edelhard@debian.org>  Tue, 20 Nov 2007 17:44:47 +0100

atop (1.21-1) unstable; urgency=low

  * new upstream release
  * made rules and init.d script lintian clean

 -- Edelhard Becker <edelhard@debian.org>  Fri, 31 Aug 2007 15:55:33 +0200

atop (1.20-2) unstable; urgency=low

  * do not install upstream's crontab file

 -- Edelhard Becker <edelhard@debian.org>  Thu, 03 May 2007 00:12:59 +0200

atop (1.20-1) unstable; urgency=low

  * New upstream release (Closes: #411133, #372935)
  * include upstream Changelog (Closes: #340093)
  * bumped standards to 3.7.2
  * applied patch to cooperate with sa from acct package, thanks Dominique
    (Closes: #420676)
  * restart daemon by logrotate via invoke-rc.d (Closes: #393545)

 -- Edelhard Becker <edelhard@debian.org>  Wed, 02 May 2007 02:30:09 +0200

atop (1.16-2) unstable; urgency=low

  * depend on logrotate (Closes: #362893), thanks Tommi

 -- Edelhard Becker <edelhard@debian.org>  Mon, 17 Apr 2006 15:00:20 +0200

atop (1.16-1) unstable; urgency=low

  * New upstream release. Most notable upstream changes:

     - New line with system-level counters called PAG (paging-related counters
       like scan, stall, swin and swout).                   
     - For network-interfaces the effective line-speed in bits-per-second for
       incoming and outgoing traffic is shown now (so Kbps/Mbps/Gbps).       
     - New function '1': show averages *per second* where applicable.
     - Improved output that is easier to parse (fixed number of fields per
       line).     

 -- Edelhard Becker <edelhard@debian.org>  Fri,  7 Apr 2006 11:59:46 +0200

atop (1.15-2) unstable; urgency=low

  * remove log files on purge (Closes: #359083), thanks Justin

 -- Edelhard Becker <edelhard@debian.org>  Tue, 28 Mar 2006 16:29:27 +0200

atop (1.15-1) unstable; urgency=low

  * New upstream release

 -- Edelhard Becker <edelhard@debian.org>  Mon,  7 Nov 2005 23:08:01 +0100

atop (1.14.99-1) unstable; urgency=low

  * New upstream release (upcoming 1.15 preview)
  * removed /etc/atop/ stuff (not necessary) and the corresponding section
    from the man page
  * removed /etc/rc.d/ stuff (not necessary)

 -- Edelhard Becker <edelhard@debian.org>  Sun, 30 Oct 2005 11:56:20 +0100

atop (1.14-1) unstable; urgency=low

  * New upstream release
  * added URL of the new website where appropriate (copyright, control, README
    and watch)

 -- Edelhard Becker <edelhard@debian.org>  Sat, 18 Dec 2004 14:01:42 +0100

atop (1.13-1) unstable; urgency=low

  * New upstream release (added recognition of thread-groups and scheduling
    information)
  * fixed missing options in manpage and help-screen

 -- Edelhard Becker <edelhard@debian.org>  Fri, 24 Sep 2004 11:09:04 +0200

atop (1.12-1) unstable; urgency=low

  * New upstream release

 -- Edelhard Becker <edelhard@debian.org>  Wed,  2 Jun 2004 10:44:36 +0200

atop (1.10-2) unstable; urgency=low

  * changed default for raw data filename to /var/log/atop.1 to reflect the
    Debian layout (Closes: #217387); adapted man page
  * bumped policy to 3.6.1 (no changes needed)

 -- Edelhard Becker <edelhard@debian.org>  Fri, 24 Oct 2003 14:48:11 +0200

atop (1.10-1) unstable; urgency=low

  * New upstream release
  * increased storage for a number of resources to allow larger values (like
    reported in #197626)
  * new commands (see /usr/share/doc/atop/NEWS.Debian.gz for details)
  * upstream replaced sys/acct.h by linux/acct.h (Closes: #198890)
  * trailing `pidof atop` removed from init.d/atop (Closes: #199330)

 -- Edelhard Becker <edelhard@debian.org>  Wed,  9 Jul 2003 15:57:14 +0200

atop (1.9-6) unstable; urgency=low

  * changed some 'long's to 'long long's to prevent overflows at 2GB
    (Closes: #197626)
  * bumped standards to 3.5.10

 -- Edelhard Becker <edelhard@debian.org>  Mon, 16 Jun 2003 21:23:21 +0200

atop (1.9-5) unstable; urgency=low

  * changed Architecture to any (Closes: #192620)
  * logrotate now should work - seems that atop needs more time after stopping
    via start-stop-daemon than logrotate waits
  * changed maintainer e-mail to my debian account
  * force inclusion of orig.tar.gz via dpkg-buildpackage -sa

 -- Edelhard Becker <edelhard@debian.org>  Mon, 26 May 2003 18:30:02 +0200

atop (1.9-4) unstable; urgency=low

  * improved logrotate (again)
  * new upload should include atop-1.9.orig.tar.gz (Closes: #192344)

 -- Edelhard Becker <becker@edelhard.de>  Thu,  8 May 2003 12:38:51 +0200

atop (1.9-2) unstable; urgency=low

  * added -oknodo to start-stop-deamon to allow smooth upgrade
  * improved upgrade / logrotate handling

 -- Edelhard Becker <becker@edelhard.de>  Fri,  2 May 2003 16:56:19 +0200

atop (1.9-1) unstable; urgency=low

  * Initial Release.
  * removed atop.{daily,24hours,cron}, rely on init.d/atop instead
  * add support for logrotate
  * Initial upload (Closes: #190729)

 -- Edelhard Becker <becker@edelhard.de>  Fri, 25 Apr 2003 14:27:39 +0200

=== debian/control ===
Source: atop
Section: admin
Priority: optional
Maintainer: Edelhard Becker <edelhard@debian.org>
Build-Depends: debhelper (>= 4), zlib1g-dev, libncurses5-dev
Standards-Version: 3.7.2

Package: atop
Architecture: any
Depends: ${shlibs:Depends}, logrotate
Description: Monitor for system resources and process activity
 Atop is an ASCII full-screen performance monitor, similar to the top command,
 but atop only shows the active system-resources and processes, and only shows
 the deviations since the previous interval.  At regular intervals, it shows
 system-level activity related to the CPU, memory, swap, disks and network
 layers, and it shows for every active process the CPU utilization in system
 and user mode, the virtual and resident memory growth, priority, username,
 state, and exit code. The process level activity is also shown for processes
 which finished during the last interval, to get a complete overview about the
 consumers of things such as CPU time.
 .
  Author: Gerlof Langeveld <gerlof@ATComputing.nl>
  Homepage: http://www.atconsultancy.nl/atop/home.html

## atop 1.23

=== Makefile ===
--- 
+++ 
@@ -13,7 +13,7 @@
 CRNPATH = /etc/cron.d
 ROTPATH = /etc/logrotate.d
 
-CFLAGS  = -O -I. -Wall
+CFLAGS  = -O -I. -Wall	 # -DHTTPSTATS
 LDFLAGS = -lncurses -lm -lz
 OBJMOD0 = version.o
 OBJMOD1 = various.o  deviate.o   procdbase.o
@@ -28,7 +28,7 @@
 		cc atop.o $(ALLMODS) -o atop $(LDFLAGS)
 
 clean:
-		rm -f *.o atop
+		rm -f *.o
 
 install:	atop
 		if [ ! -d $(DESTDIR)$(LOGPATH) ]; then mkdir -p $(DESTDIR)$(LOGPATH); fi
@@ -61,7 +61,7 @@
 ##########################################################################
 
 atop.o:		atop.h	photoproc.h photosyst.h  acctproc.h showgeneric.h
-atopsar.o:	atop.h	            photosyst.h                           
+atopsar.o:	atop.h	photoproc.h photosyst.h                           
 rawlog.o:	atop.h	photoproc.h photosyst.h
 various.o:	atop.h                           acctproc.h
 ifprop.o:	atop.h	            photosyst.h             ifprop.h

## atop 1.23-1maemo1

=== Makefile ===
--- 
+++ 
@@ -28,7 +28,7 @@
 		cc atop.o $(ALLMODS) -o atop $(LDFLAGS)
 
 clean:
-		rm -f *.o
+		rm -f *.o atop
 
 install:	atop
 		if [ ! -d $(DESTDIR)$(LOGPATH) ]; then mkdir -p $(DESTDIR)$(LOGPATH); fi

=== debian/changelog ===
atop (1.23-1maemo1) unstable; urgency=low

  * Initial release. (Give it a TRY !!!).

 -- COLIN Stephane <colin.stephane@ovi.com>  Sun, 14 Aug 2011 00:25:58 +0200

atop (1.23-1) unstable; urgency=low

  * fixed typo (Closes: #467447)
  * last release was built as native package

 -- Edelhard Becker <edelhard@debian.org>  Fri, 07 Mar 2008 22:07:27 +0100

atop (1.23) unstable; urgency=low

  * new upstream release
  * bump standards to 3.7.3 (no changes)
  * moved homepage from description to control field

 -- Edelhard Becker <edelhard@debian.org>  Fri, 07 Mar 2008 16:16:15 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,8 @@
 Priority: optional
 Maintainer: Edelhard Becker <edelhard@debian.org>
 Build-Depends: debhelper (>= 4), zlib1g-dev, libncurses5-dev
-Standards-Version: 3.7.2
+Standards-Version: 3.7.3
+Homepage: http://www.atconsultancy.nl/atop/home.html
 
 Package: atop
 Architecture: any
@@ -20,4 +21,3 @@
  consumers of things such as CPU time.
  .
   Author: Gerlof Langeveld <gerlof@ATComputing.nl>
-  Homepage: http://www.atconsultancy.nl/atop/home.html

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/atop.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/atop
	# remove unnecessary files
	rm -rf $(CURDIR)/debian/atop/etc/atop $(CURDIR)/debian/atop/etc/rc.d
	rm -rf $(CURDIR)/debian/atop/var/log/atop/dummy* $(CURDIR)/debian/atop/etc/cron.d

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
#	dh_installexamples
#	dh_installmenu
	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
	dh_installinit
#	dh_installcron
	dh_installman
#	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## atop 1.26

=== Makefile ===
# Makefile for System & Process Monitor ATOP (Linux version)
#
# Gerlof Langeveld - gerlof.langeveld@atoptool.nl
#
DESTDIR  =

BINPATH  = /usr/bin
SCRPATH  = /etc/atop
LOGPATH  = /var/log/atop
MAN1PATH = /usr/share/man/man1
MAN5PATH = /usr/share/man/man5
INIPATH  = /etc/rc.d/init.d
CRNPATH  = /etc/cron.d
ROTPATH  = /etc/logrotate.d
PMPATH1  = /usr/lib/pm-utils/sleep.d
PMPATH2  = /usr/lib64/pm-utils/sleep.d

CFLAGS  += -O2 -I. -Wall	 # -DHTTPSTATS
LDFLAGS += -lncurses -lm -lz
OBJMOD0  = version.o
OBJMOD1  = various.o  deviate.o   procdbase.o
OBJMOD2  = acctproc.o photoproc.o photosyst.o  rawlog.o ifprop.o parseable.o
OBJMOD3  = showgeneric.o          showlinux.o  showsys.o showprocs.o
OBJMOD4  = atopsar.o
ALLMODS  = $(OBJMOD0) $(OBJMOD1) $(OBJMOD2) $(OBJMOD3) $(OBJMOD4)

VERS     = $(shell ./atop -V 2>/dev/null| sed -e 's/^[^ ]* //' -e 's/ .*//')

all: 		atop

atop:		atop.o    $(ALLMODS) Makefile
		$(CC) atop.o $(ALLMODS) -o atop $(LDFLAGS)

clean:
		rm -f *.o

install:	atop
		if [ ! -d $(DESTDIR)$(LOGPATH) ]; 	\
			then mkdir -p $(DESTDIR)$(LOGPATH); fi
		if [ ! -d $(DESTDIR)$(BINPATH) ]; 	\
			then mkdir -p $(DESTDIR)$(BINPATH); fi
		if [ ! -d $(DESTDIR)$(SCRPATH) ]; 	\
			then mkdir -p $(DESTDIR)$(SCRPATH); fi
		if [ ! -d $(DESTDIR)$(MAN1PATH) ]; 	\
			then mkdir -p $(DESTDIR)$(MAN1PATH); fi
		if [ ! -d $(DESTDIR)$(MAN5PATH) ]; 	\
			then mkdir -p $(DESTDIR)$(MAN5PATH); fi
		if [ ! -d $(DESTDIR)$(INIPATH) ]; 	\
			then mkdir -p $(DESTDIR)$(INIPATH); fi
		if [ ! -d $(DESTDIR)$(CRNPATH) ]; 	\
			then mkdir -p $(DESTDIR)$(CRNPATH); fi
		if [ ! -d $(DESTDIR)$(ROTPATH) ]; 	\
			then mkdir -p $(DESTDIR)$(ROTPATH); fi
		if [ -d $(DESTDIR)$(PMPATH1) ]; 	\
			then cp 45atoppm $(DESTDIR)$(PMPATH1); 	\
			chmod 0711 $(DESTDIR)$(PMPATH1)/45atoppm; fi
		if [ -d $(DESTDIR)$(PMPATH2) ]; 	\
			then cp 45atoppm $(DESTDIR)$(PMPATH2); 	\
			chmod 0711 $(DESTDIR)$(PMPATH2)/45atoppm; fi
		#
		cp atop   		$(DESTDIR)$(BINPATH)/atop
		chown root		$(DESTDIR)$(BINPATH)/atop
		chmod 04711 		$(DESTDIR)$(BINPATH)/atop
		ln -sf atop             $(DESTDIR)$(BINPATH)/atopsar
		cp atop   		$(DESTDIR)$(BINPATH)/atop-$(VERS)
		ln -sf atop-$(VERS)     $(DESTDIR)$(BINPATH)/atopsar-$(VERS)
		cp atop.daily    	$(DESTDIR)$(SCRPATH)
		chmod 0711 	 	$(DESTDIR)$(SCRPATH)/atop.daily
		cp man/atop.1    	$(DESTDIR)$(MAN1PATH)
		cp man/atopsar.1 	$(DESTDIR)$(MAN1PATH)
		cp man/atoprc.5  	$(DESTDIR)$(MAN5PATH)
		cp atop.init     	$(DESTDIR)$(INIPATH)/atop
		cp atop.cron     	$(DESTDIR)$(CRNPATH)/atop
		cp psaccs_atop   	$(DESTDIR)$(ROTPATH)/psaccs_atop
		cp psaccu_atop  	$(DESTDIR)$(ROTPATH)/psaccu_atop
		touch          	  	$(DESTDIR)$(LOGPATH)/dummy_before
		touch            	$(DESTDIR)$(LOGPATH)/dummy_after
		if [ -z "$(DESTDIR)" ]; then /sbin/chkconfig --add atop; fi
distr: rm -f *.o
		tar czvf /tmp/atop.tar.gz *
##########################################################################

atop.o:		atop.h	photoproc.h photosyst.h  acctproc.h showgeneric.h
atopsar.o:	atop.h	photoproc.h photosyst.h                           
rawlog.o:	atop.h	photoproc.h photosyst.h             showgeneric.h
various.o:	atop.h                           acctproc.h
ifprop.o:	atop.h	            photosyst.h             ifprop.h
parseable.o:	atop.h	photoproc.h photosyst.h             parseable.h
deviate.o:	atop.h	photoproc.h photosyst.h
procdbase.o:	atop.h	photoproc.h
acctproc.o:	atop.h	photoproc.h              acctproc.h
photoproc.o:	atop.h	photoproc.h
photosyst.o:	atop.h	            photosyst.h
showgeneric.o:	atop.h	photoproc.h photosyst.h  showgeneric.h showlinux.h
showlinux.o:	atop.h	photoproc.h photosyst.h  showgeneric.h showlinux.h
showsys.o:	atop.h  photoproc.h photosyst.h  showgeneric.h 
showprocs.o:	atop.h	photoproc.h photosyst.h  showgeneric.h showlinux.h

=== debian/changelog ===
atop (1.26-2) unstable; urgency=low

  * fix typo in bug number in changelog. Sorry, sur5r
  * add patch to handle vd* disks as well (Closes: 640527)
  * remove set -e from init script, /etc/init.d/skeleton doesn't have it
  * Depend on lsb-base (>= 3.2-14) as we use log_* functions
  * streamlinie init script with current skeleton, add default file.
    Thanks to Vincent Lefevre (Closes: 675443)
  * add DEP-3 headers to patches
  * Roll back Debian patches breaking a feature:
    * Now, only use mkstemp to create temp file
    * Roll back Debian change: use upstream cronjob to rotate logs
      (Closes: 611616)
  * merge daily cron job and init script, debianize process
  * use a wrapper to obtain correct redirection
  * add cron to Recommends
  * remove atop binary in clean target

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Tue, 22 May 2012 18:50:19 +0200

atop (1.26-1) unstable; urgency=low

  * New upstream version 1.26 (Closes: #569175)
    * repack source: remove binary that was contained in the source package
  * use dh level 9, source format 3.0 (quilt)
    * roll back Makefile to original state
    * roll /var/run patch into a quilt patch
    * roll logfile mkstemp patch into a quilt patch
    * add README.source
  * disable most functions of Makefile
    * disable process accounting (no kernel patch)
    * don't install package's init script
    * disable upstream's cron job
    * disable versioned symlinks
    * disable chkconfig call from Makefile
  * postinst: remove path from logrotate, move DEBHELPER last, set -e
  * new init script
    * Thanks to Peter Eisentraut for a patch that didn't get used
      (Closes: #529003)
  * put proper Copyright statement in debian/copyright
  * debian/control
    * add ${misc:Depends}
    * Standards-Version: 3.9.3 (no further changes necessary)
    * versioned build dep on debhelper
    * add Vcs-Lines
  * Import sources to alioth/collab-maint
  * New Maintainer (cleared with mia@qa) (Closes: #646744)

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Sun, 20 May 2012 21:07:13 +0000

atop (1.23-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * Fix CVE-2011-XXXX: Insecure use of a temporary files rawlog.c and
    acctproc.c (Closes: #622794)

 -- Jonathan Wiltshire <jmw@debian.org>  Mon, 01 Aug 2011 15:35:16 +0100

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean
	rm -f atop

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# Site			Directory	Pattern			Version	Script
version=2
# the old ftp site
#ftp://ftp.atcomputing.nl/pub/tools/linux/atop-(.*)\.tar\.gz	debian	uupdate
# the new website
http://www.atconsultancy.nl/atop/download.html packages/atop-(.*)\.tar\.gz

## atop 1.26-1maemo1

=== debian/changelog ===
atop (1.26-1maemo1) lucid; urgency=low

  * Initial release. (Give it a TRY !!!).

 -- COLIN Stephane <colin.stephane@ovi.com>  Sun, 14 Aug 2011 11:22:17 +0200

atop (1.26-0ubuntu1~blueyedppa1) lucid; urgency=low

  * Backport for Lucid/Squeeze.

 -- Daniel Hahler <ubuntu@thequod.de>  Thu, 27 Jan 2011 20:43:04 +0100

atop (1.26-0ubuntu1) natty; urgency=low

  * New upstream release (LP: #629546, Closes: #569175)
  * Use "--oknodo" in init script (LP: #188350, Closes: #477362)
  * Only call logrotate in postinst if it exists (LP: #597051)

 -- Daniel Hahler <ubuntu@thequod.de>  Thu, 27 Jan 2011 20:28:15 +0100

## atop 1.26-1maemo2

=== Makefile ===
--- 
+++ 
@@ -32,7 +32,7 @@
 		$(CC) atop.o $(ALLMODS) -o atop $(LDFLAGS)
 
 clean:
-		rm -f *.o
+		rm -f *.o atop
 
 install:	atop
 		if [ ! -d $(DESTDIR)$(LOGPATH) ]; 	\

=== debian/changelog ===
atop (1.26-1maemo2) lucid; urgency=low

  * Remove dependency to logrotate.

 -- COLIN Stephane <colin.stephane@ovi.com>  Sun, 14 Aug 2011 11:40:56 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: atop
 Architecture: any
-Depends: ${shlibs:Depends}, logrotate
+Depends: ${shlibs:Depends}
 Description: Monitor for system resources and process activity
  Atop is an ASCII full-screen performance monitor, similar to the top command,
  but atop only shows the active system-resources and processes, and only shows

## atop 2.0.2

=== Makefile ===
--- 
+++ 
@@ -9,30 +9,32 @@
 LOGPATH  = /var/log/atop
 MAN1PATH = /usr/share/man/man1
 MAN5PATH = /usr/share/man/man5
-INIPATH  = /etc/rc.d/init.d
+INIPATH  = /etc/init.d
 CRNPATH  = /etc/cron.d
 ROTPATH  = /etc/logrotate.d
 PMPATH1  = /usr/lib/pm-utils/sleep.d
 PMPATH2  = /usr/lib64/pm-utils/sleep.d
 
-CFLAGS  += -O2 -I. -Wall	 # -DHTTPSTATS
-LDFLAGS += -lncurses -lm -lz
+CFLAGS  += -O2 -I. -Wall 	 # -DHTTPSTATS
 OBJMOD0  = version.o
 OBJMOD1  = various.o  deviate.o   procdbase.o
 OBJMOD2  = acctproc.o photoproc.o photosyst.o  rawlog.o ifprop.o parseable.o
 OBJMOD3  = showgeneric.o          showlinux.o  showsys.o showprocs.o
-OBJMOD4  = atopsar.o
+OBJMOD4  = atopsar.o  netatopif.o
 ALLMODS  = $(OBJMOD0) $(OBJMOD1) $(OBJMOD2) $(OBJMOD3) $(OBJMOD4)
 
 VERS     = $(shell ./atop -V 2>/dev/null| sed -e 's/^[^ ]* //' -e 's/ .*//')
 
-all: 		atop
+all: 		atop atopsar
 
 atop:		atop.o    $(ALLMODS) Makefile
-		$(CC) atop.o $(ALLMODS) -o atop $(LDFLAGS)
+		$(CC) atop.o $(ALLMODS) -o atop -lncurses -lm -lz -lrt
+
+atopsar:	atop
+		ln -sf atop atopsar
 
 clean:
-		rm -f *.o atop
+		rm -f *.o
 
 install:	atop
 		if [ ! -d $(DESTDIR)$(LOGPATH) ]; 	\
@@ -75,8 +77,10 @@
 		cp psaccu_atop  	$(DESTDIR)$(ROTPATH)/psaccu_atop
 		touch          	  	$(DESTDIR)$(LOGPATH)/dummy_before
 		touch            	$(DESTDIR)$(LOGPATH)/dummy_after
-		if [ -z "$(DESTDIR)" ]; then /sbin/chkconfig --add atop; fi
-distr: rm -f *.o
+		if [ -z "$(DESTDIR)" -a -f /sbin/chkconfig ]; then /sbin/chkconfig --add atop; fi
+		if [ -z "$(DESTDIR)" -a -f /usr/sbin/update-rc.d ]; then update-rc.d atop defaults; fi
+
+distr: rm -f *.o atop
 		tar czvf /tmp/atop.tar.gz *
 ##########################################################################
 
@@ -88,7 +92,8 @@
 parseable.o:	atop.h	photoproc.h photosyst.h             parseable.h
 deviate.o:	atop.h	photoproc.h photosyst.h
 procdbase.o:	atop.h	photoproc.h
-acctproc.o:	atop.h	photoproc.h              acctproc.h
+acctproc.o:	atop.h	photoproc.h              acctproc.h netatop.h
+netatopif.o:	atop.h	photoproc.h              netatopd.h netatop.h
 photoproc.o:	atop.h	photoproc.h
 photosyst.o:	atop.h	            photosyst.h
 showgeneric.o:	atop.h	photoproc.h photosyst.h  showgeneric.h showlinux.h

=== debian/changelog ===
atop (2.0.2-1mrtns1) precise+mrtns; urgency=low

  * Ubuntu Precise release by EvilMartians

 -- Maxim Filatov <bregor@evilmartians.com>  Tue, 03 Jun 2014 11:26:46 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: atop
 Section: admin
 Priority: optional
-Maintainer: Edelhard Becker <edelhard@debian.org>
-Build-Depends: debhelper (>= 4), zlib1g-dev, libncurses5-dev
-Standards-Version: 3.7.3
-Homepage: http://www.atconsultancy.nl/atop/home.html
+Maintainer: Vincent Caron <vcaron@bearstech.com>
+Uploaders: Maxim Filatov <bregor@evilmartians.com>
+Build-Depends: debhelper (>= 8), zlib1g-dev, libncurses5-dev
+Standards-Version: 3.9.3
+Homepage: http://www.atoptool.nl/
 
 Package: atop
 Architecture: any
-Depends: ${shlibs:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Monitor for system resources and process activity
  Atop is an ASCII full-screen performance monitor, similar to the top command,
  but atop only shows the active system-resources and processes, and only shows
@@ -20,4 +21,4 @@
  which finished during the last interval, to get a complete overview about the
  consumers of things such as CPU time.
  .
-  Author: Gerlof Langeveld <gerlof@ATComputing.nl>
+ Author: Gerlof Langeveld <gerlof@ATComputing.nl>

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean: unpatch
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/atop.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/atop
	# remove unnecessary files
	rm -rf $(CURDIR)/debian/atop/etc/atop $(CURDIR)/debian/atop/etc/rc.d $(CURDIR)/debian/atop/usr/bin/atop*-*
	rm -rf $(CURDIR)/debian/atop/var/log/atop/dummy* $(CURDIR)/debian/atop/etc/cron.d
	rm -rf $(CURDIR)/debian/atop/etc/logrotate.d
	# add custom ones
	install -D -p $(CURDIR)/debian/atop_log_rotate $(CURDIR)/debian/atop/usr/lib/atop/atop_log_rotate

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
#	dh_installexamples
#	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
	dh_installinit
	dh_installcron
	dh_installman
#	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure patch unpatch

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# Site			Directory	Pattern			Version	Script
version=3
# the old site
#http://www.atconsultancy.nl/atop/download.html packages/atop-(.*)\.tar\.gz
# the new website
http://www.atoptool.nl/downloadatop.php download/atop-(.*)\.tar\.gz

## atop 2.2.6

=== Makefile ===
# Makefile for System & Process Monitor ATOP (Linux version)
#
# Gerlof Langeveld - gerlof.langeveld@atoptool.nl
#
DESTDIR  =

BINPATH  = /usr/bin
SBINPATH = /usr/sbin
SCRPATH  = /usr/share/atop
LOGPATH  = /var/log/atop
MAN1PATH = /usr/share/man/man1
MAN5PATH = /usr/share/man/man5
MAN8PATH = /usr/share/man/man8
INIPATH  = /etc/init.d
SYSDPATH = /usr/lib/systemd/system
CRNPATH  = /etc/cron.d
ROTPATH  = /etc/logrotate.d
PMPATH1  = /usr/lib/pm-utils/sleep.d
PMPATH2  = /usr/lib64/pm-utils/sleep.d
PMPATHD  = /usr/lib/systemd/system-sleep

CFLAGS  += -O2 -I. -Wall  	 # -DHTTPSTATS
OBJMOD0  = version.o
OBJMOD1  = various.o  deviate.o   procdbase.o
OBJMOD2  = acctproc.o photoproc.o photosyst.o  rawlog.o ifprop.o parseable.o
OBJMOD3  = showgeneric.o          showlinux.o  showsys.o showprocs.o
OBJMOD4  = atopsar.o  netatopif.o
ALLMODS  = $(OBJMOD0) $(OBJMOD1) $(OBJMOD2) $(OBJMOD3) $(OBJMOD4)

VERS     = $(shell ./atop -V 2>/dev/null| sed -e 's/^[^ ]* //' -e 's/ .*//')

all: 		atop atopsar atopacctd

atop:		atop.o    $(ALLMODS) Makefile
		$(CC) atop.o $(ALLMODS) -o atop -lncurses -lz -lm -lrt $(LDFLAGS)

atopsar:	atop
		ln -sf atop atopsar

atopacctd:	atopacctd.o netlink.o
		$(CC) atopacctd.o netlink.o -o atopacctd $(LDFLAGS)

netlink.o:	netlink.c
		$(CC) -I. -Wall -c netlink.c

clean:
		rm -f *.o

distr:
		rm -f *.o atop
		tar czvf /tmp/atop.tar.gz *


install:
		@echo Choose either \'make systemdinstall\' or \'make sysvinstall\'

systemdinstall:	genericinstall
		if [ ! -d $(DESTDIR)$(SYSDPATH) ]; 			\
		then	mkdir -p $(DESTDIR)$(SYSDPATH); fi
		if [ ! -d $(DESTDIR)$(PMPATHD) ]; 			\
		then	mkdir -p $(DESTDIR)$(PMPATHD); fi
		#
		cp atop.service       $(DESTDIR)$(SYSDPATH)
		chmod 0644            $(DESTDIR)$(SYSDPATH)/atop.service
		cp atopacct.service   $(DESTDIR)$(SYSDPATH)
		chmod 0644            $(DESTDIR)$(SYSDPATH)/atopacct.service
		cp atop.cronsystemd   $(DESTDIR)$(CRNPATH)/atop
		cp atop-pm.sh         $(DESTDIR)$(PMPATHD)
		chmod 0711            $(DESTDIR)$(PMPATHD)/atop-pm.sh
		#
		# only when making on target system:
		#
		if [ -z "$(DESTDIR)" -a -f /bin/systemctl ]; 		\
		then	/bin/systemctl stop    atop     2> /dev/null;	\
			/bin/systemctl disable atop     2> /dev/null;	\
			/bin/systemctl stop    atopacct 2> /dev/null;	\
			/bin/systemctl disable atopacct 2> /dev/null;	\
			/bin/systemctl enable  atopacct;		\
			/bin/systemctl start   atopacct;		\
			/bin/systemctl enable  atop;			\
			/bin/systemctl start   atop;			\
		fi

sysvinstall:	genericinstall
		if [ ! -d $(DESTDIR)$(INIPATH) ]; 			\
		then	mkdir -p  $(DESTDIR)$(INIPATH); fi
		#
		cp atop.init      $(DESTDIR)$(INIPATH)/atop
		cp atopacct.init  $(DESTDIR)$(INIPATH)/atopacct
		cp atop.cronsysv  $(DESTDIR)$(CRNPATH)/atop
		#
		if [   -d $(DESTDIR)$(PMPATH1) ]; 			\
		then	cp 45atoppm $(DESTDIR)$(PMPATH1); 		\
			chmod 0711  $(DESTDIR)$(PMPATH1)/45atoppm;	\
		fi
		if [ -d $(DESTDIR)$(PMPATH2) ]; 			\
		then	cp 45atoppm $(DESTDIR)$(PMPATH2);		\
			chmod 0711  $(DESTDIR)$(PMPATH2)/45atoppm;	\
		fi
		#
		#
		# only when making on target system:
		#
		if [ -z "$(DESTDIR)" -a -f /sbin/chkconfig ];		\
		then 	/sbin/chkconfig --del atop     2> /dev/null;	\
			/sbin/chkconfig --add atop;			\
			/sbin/chkconfig --del atopacct 2> /dev/null;	\
			/sbin/chkconfig --add atopacct;			\
		fi
		if [ -z "$(DESTDIR)" -a -f /usr/sbin/update-rc.d ];	\
		then	update-rc.d atop defaults;			\
			update-rc.d atopacct defaults;			\
		fi
		if [ -z "$(DESTDIR)" -a -f /sbin/service ];		\
		then	/sbin/service atopacct start;			\
			sleep 2;					\
			/sbin/service atop     start;			\
		fi

genericinstall:	atop atopacctd
		if [ ! -d $(DESTDIR)$(LOGPATH) ]; 		\
		then	mkdir -p $(DESTDIR)$(LOGPATH); fi
		if [ ! -d $(DESTDIR)$(BINPATH) ]; 		\
		then	mkdir -p $(DESTDIR)$(BINPATH); fi
		if [ ! -d $(DESTDIR)$(SBINPATH) ]; 		\
		then mkdir -p $(DESTDIR)$(SBINPATH); fi
		if [ ! -d $(DESTDIR)$(SCRPATH) ]; 		\
		then	mkdir -p $(DESTDIR)$(SCRPATH); fi	
		if [ ! -d $(DESTDIR)$(MAN1PATH) ]; 		\
		then	mkdir -p $(DESTDIR)$(MAN1PATH);	fi
		if [ ! -d $(DESTDIR)$(MAN5PATH) ]; 		\
		then	mkdir -p $(DESTDIR)$(MAN5PATH);	fi
		if [ ! -d $(DESTDIR)$(MAN8PATH) ]; 		\
		then	mkdir -p $(DESTDIR)$(MAN8PATH);	fi
		if [ ! -d $(DESTDIR)$(CRNPATH) ]; 		\
		then	mkdir -p $(DESTDIR)$(CRNPATH);	fi
		if [ ! -d $(DESTDIR)$(ROTPATH) ]; 		\
		then	mkdir -p $(DESTDIR)$(ROTPATH);	fi
		#
		cp atop   		$(DESTDIR)$(BINPATH)/atop
		chown root		$(DESTDIR)$(BINPATH)/atop
		chmod 04711 		$(DESTDIR)$(BINPATH)/atop
		ln -sf atop             $(DESTDIR)$(BINPATH)/atopsar
		cp atopacctd  		$(DESTDIR)$(SBINPATH)/atopacctd
		chown root		$(DESTDIR)$(SBINPATH)/atopacctd
		chmod 0700 		$(DESTDIR)$(SBINPATH)/atopacctd
		cp atop   		$(DESTDIR)$(BINPATH)/atop-$(VERS)
		ln -sf atop-$(VERS)     $(DESTDIR)$(BINPATH)/atopsar-$(VERS)
		cp atop.daily    	$(DESTDIR)$(SCRPATH)
		chmod 0711 	 	$(DESTDIR)$(SCRPATH)/atop.daily
		cp man/atop.1    	$(DESTDIR)$(MAN1PATH)
		cp man/atopsar.1 	$(DESTDIR)$(MAN1PATH)
		cp man/atoprc.5  	$(DESTDIR)$(MAN5PATH)
		cp man/atopacctd.8  	$(DESTDIR)$(MAN8PATH)
		cp psaccs_atop   	$(DESTDIR)$(ROTPATH)/psaccs_atop
		cp psaccu_atop  	$(DESTDIR)$(ROTPATH)/psaccu_atop
		touch          	  	$(DESTDIR)$(LOGPATH)/dummy_before
		touch            	$(DESTDIR)$(LOGPATH)/dummy_after

##########################################################################

atop.o:		atop.h	photoproc.h photosyst.h  acctproc.h showgeneric.h
atopsar.o:	atop.h	photoproc.h photosyst.h                           
rawlog.o:	atop.h	photoproc.h photosyst.h             showgeneric.h
various.o:	atop.h                           acctproc.h
ifprop.o:	atop.h	            photosyst.h             ifprop.h
parseable.o:	atop.h	photoproc.h photosyst.h             parseable.h
deviate.o:	atop.h	photoproc.h photosyst.h
procdbase.o:	atop.h	photoproc.h
acctproc.o:	atop.h	photoproc.h atopacctd.h  acctproc.h netatop.h
netatopif.o:	atop.h	photoproc.h              netatopd.h netatop.h
photoproc.o:	atop.h	photoproc.h
photosyst.o:	atop.h	            photosyst.h
showgeneric.o:	atop.h	photoproc.h photosyst.h  showgeneric.h showlinux.h
showlinux.o:	atop.h	photoproc.h photosyst.h  showgeneric.h showlinux.h
showsys.o:	atop.h  photoproc.h photosyst.h  showgeneric.h 
showprocs.o:	atop.h	photoproc.h photosyst.h  showgeneric.h showlinux.h

atopacctd.o:	atop.h  photoproc.h acctproc.h   version.h     atopacctd.h

=== debian/changelog ===
atop (2.2.6-4) unstable; urgency=medium

  * remove versioned dependency on initscripts. See also #852314.
    Thanks to Stephen Kitt (Closes: 852239)

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Wed, 25 Jan 2017 20:45:37 +0100

atop (2.2.6-3) unstable; urgency=medium

  * use nocompress in logrotate files, workaround for logrotate < 3.11.
    Thanks to Yuri D'Elia (Closes: 851138)
  * add reference to #848682 and #484683 to NEWS.
    Thanks to Martin Steigerwald (Closes: 833997)

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Thu, 19 Jan 2017 13:11:18 +0000

atop (2.2.6-2) unstable; urgency=medium

  * upload to unstable (finally)
  * add NEWS.Debian explanation for #842136 and #849138

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Tue, 27 Dec 2016 13:01:24 +0100

atop (2.2.6-1~exp1) experimental; urgency=medium

  * New upstream version 2.2.6
    * This is 2.2.5 plus a (yet unreleased) upstream change to
      implement a polling mode in case NETLINK refuses with
      error EINVAL, working around kernel bug 190711.
    * 2.2.6 upstream version used in coordination with Upstream,
      orig.tar.gz created by Debian.
    * This hopefully takes care of installation issues.
      Thanks to Vincent Lefevre (Closes: 848657)
      Thanks to Yuri D'Elia (Closes: 848582)

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Tue, 20 Dec 2016 10:33:24 +0100

atop (2.2.5-1~exp1) experimental; urgency=medium

  * New upstream version 2.2.5
    * This cannot possibly go without saying big THANKS to Upstream.
      Your help was great!
    * Fix c/p Error in man atop(1). 
      Thanks to Alexandre Kieffer (Closes: #840645)
    * Take care that atopacctd terminates upon receipt of SIGTERM
      signal. Thanks to Vincent Lefevre (Closes: #834226)
  * install atop-pm to /etc/systemd/system-sleep (Closes: 834039)
  * Architecture: linux-any
  * fix path typo in cron.d.
    Thanks to Sam Morris (Closes: #846954)

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Tue, 25 Oct 2016 10:46:20 +0200

atop (2.2.4-1~exp1) experimental; urgency=medium

  * New upstream version 2.2.4
    * this is an upstream bugfix release
    * adapt patches
  * move "lock" files to /run/lock.
    Thanks to Vincent Lefevre (Closes: #833955)
  * check for systemd via /run/systemd/system.
    Thanks to Sam Morris (Closes: #840407)
  * set nomail in logrotate files (Closes: #833982)
  * fix wrong URL to X-Vcs-Browser

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Wed, 10 Aug 2016 11:07:16 +0200

atop (2.2.3-1~exp1) experimental; urgency=low

  * New upstream version 2.2.3
    * adapt patches
    * fix no-version-symlinks patch
    * add var-run patch to replace /var/run with /run
    * create dummy files in /var/log/atop in postinst
    * install atop.daily to /usr/share instead of /etc
    * move away old log file if upgrading (incompatible format)
    * unfortunately this version is not suitable for unstable since it
      sometimes does not cleanly restart when restarted during the day
  * init scripts:
    * remove debian specific init script
    * use upstream's init scripts, install them using debhelper.
      (Closes: #730167)
    * add dependency on $remote_fs to init scripts
    * implement force-reload in init scripts
    * fix swapped lsb headers (Short-Description and Description)
    * call lsb/init-functions in init scripts
  * systemd units
    * use upstream's systemd units, install them using debhelper
    * do not depend on syslog.target (lintian)
    * put systemd unit in /lib/systemd
    * have systemd unit start atopaccd from /usr/sbin
  * packaging:
    * do call both systemdinstall and sysvinstall. order matters.
    * remove grossly outdated README.Debian and NEWS
    * document in atop.default that the file is no longer used
    * recommend cron | cron-daemon.
      Thanks to Alexandre Detiste (Closes: #798233)
    * fix project homepage in debian/control (Closes: #740359)
    * versioned depends on initscripts (/run)
    * Standards-Version: 3.9.8 (no changes necessary)
    * fix watch file
  * new Debian cron.d script (cross of upstream's two cron.d scripts)

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Tue, 09 Aug 2016 20:54:27 +0200

atop (1.27.3-1) experimental; urgency=low

  * New upstream version 1.27.3
    * will not exceed 50 MB of memory allocation. Closes: #575547
  * upstream is no longer repacked
  * refresh patches
  * remove virtio-disks patch (applied upstream)
  * remove patch logfiles (applied upstream)
  * fix wrongly escaped quote in atoprc.5 man page

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Wed, 25 Jul 2012 22:17:28 +0200

=== debian/control ===
Source: atop
Section: admin
Priority: optional
Maintainer: Marc Haber <mh+debian-packages@zugschlus.de>
Build-Depends: debhelper (>= 9~), dh-systemd, zlib1g-dev, libncurses5-dev
Standards-Version: 3.9.8
Homepage: http://atoptool.nl/
Vcs-Git: git://git.debian.org/git/collab-maint/atop.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/atop.git/

Package: atop
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.2-14)
Recommends: cron | cron-daemon
Description: Monitor for system resources and process activity
 Atop is an ASCII full-screen performance monitor, similar to the top command,
 but atop only shows the active system-resources and processes, and only shows
 the deviations since the previous interval.  At regular intervals, it shows
 system-level activity related to the CPU, memory, swap, disks and network
 layers, and it shows for every active process the CPU utilization in system
 and user mode, the virtual and resident memory growth, priority, username,
 state, and exit code. The process level activity is also shown for processes
 which finished during the last interval, to get a complete overview about the
 consumers of things such as CPU time.
 .
  Author: Gerlof Langeveld <gerlof@ATComputing.nl>

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with systemd

override_dh_auto_clean:
	dh_auto_clean
	rm -f debian/atop.service debian/atopacct.service debian/atop.init debian/atopacct.init
	rm -f atop

override_dh_systemd_enable:
	dh_systemd_enable atop.service
	dh_systemd_enable atopacct.service

override_dh_systemd_start:
	dh_systemd_start atop.service
	dh_systemd_start atopacct.service

override_dh_installinit:
	cp atop.service debian/atop.service
	cp atopacct.service debian/atopacct.service
	cp atop.init debian/atop.init
	cp atopacct.init debian/atopacct.init
	dh_installinit --name=atop
	dh_installinit --name=atopacct

override_dh_auto_install:
	dh_auto_install
	make sysvinstall DESTDIR=$(shell pwd)/debian/atop
	make systemdinstall DESTDIR=$(shell pwd)/debian/atop

## atop 2.3.0

=== Makefile ===
--- 
+++ 
@@ -45,6 +45,7 @@
 
 clean:
 		rm -f *.o
+		rm atop atopsar atopacctd
 
 distr:
 		rm -f *.o atop
@@ -175,5 +176,6 @@
 showlinux.o:	atop.h	photoproc.h photosyst.h  showgeneric.h showlinux.h
 showsys.o:	atop.h  photoproc.h photosyst.h  showgeneric.h 
 showprocs.o:	atop.h	photoproc.h photosyst.h  showgeneric.h showlinux.h
+version.o:	version.h
 
 atopacctd.o:	atop.h  photoproc.h acctproc.h   version.h     atopacctd.h

=== debian/changelog ===
atop (2.3.0-1) unstable; urgency=medium

  * new upstream release
  * new git URLs
  * Maintainer address on packages.debian.org
  * fix Makefile to allow consecutive clean
  * Standards-Version: 4.1.2 (no changes necessary)

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Sat, 30 Dec 2017 15:36:37 +0000

atop (2.2.6-5) unstable; urgency=medium

  * install systemd unit and initscript in dh_auto_install.
    Thanks to Adrian Bunk and nthykier (Closes: #881479)
  * get rid of dh-systemd dependency, bump debhelper dependency
  * bump debhelper level to 10

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Fri, 17 Nov 2017 18:52:51 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: atop
 Section: admin
 Priority: optional
-Maintainer: Marc Haber <mh+debian-packages@zugschlus.de>
-Build-Depends: debhelper (>= 9~), dh-systemd, zlib1g-dev, libncurses5-dev
-Standards-Version: 3.9.8
+Maintainer: Marc Haber <atop@packages.debian.org>
+Uploaders: Marc Haber <mh+debian-packages@zugschlus.de>
+Build-Depends: debhelper (>= 10~), zlib1g-dev, libncurses5-dev
+Standards-Version: 4.1.2
 Homepage: http://atoptool.nl/
-Vcs-Git: git://git.debian.org/git/collab-maint/atop.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/atop.git/
+Vcs-Git: https://salsa.debian.org/debian/atop.git
+Vcs-Browser: https://salsa.debian.org/debian/atop
 
 Package: atop
 Architecture: linux-any
